lakitu-arm64: create "lakitu-arm64" board for arm64 architecture

BUG=b/170716822
TEST=No effect on existing builds. Did 'cuskyctl builds submit lakitu'
RELEASE_NOTE=None

Change-Id: Ia331505c66eb9de5427d0c571a70aa90f967c96a
diff --git a/overlay-lakitu-arm64/chromeos-base/chromeos-bsp-lakitu/chromeos-bsp-lakitu-0.0.1-r1.ebuild b/overlay-lakitu-arm64/chromeos-base/chromeos-bsp-lakitu/chromeos-bsp-lakitu-0.0.1-r1.ebuild
new file mode 120000
index 0000000..ac428ab
--- /dev/null
+++ b/overlay-lakitu-arm64/chromeos-base/chromeos-bsp-lakitu/chromeos-bsp-lakitu-0.0.1-r1.ebuild
@@ -0,0 +1 @@
+chromeos-bsp-lakitu-0.0.1.ebuild
\ No newline at end of file
diff --git a/overlay-lakitu-arm64/chromeos-base/chromeos-bsp-lakitu/chromeos-bsp-lakitu-0.0.1.ebuild b/overlay-lakitu-arm64/chromeos-base/chromeos-bsp-lakitu/chromeos-bsp-lakitu-0.0.1.ebuild
new file mode 100644
index 0000000..4b6f961
--- /dev/null
+++ b/overlay-lakitu-arm64/chromeos-base/chromeos-bsp-lakitu/chromeos-bsp-lakitu-0.0.1.ebuild
@@ -0,0 +1,26 @@
+#
+# Copyright 2020 Google LLC
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# version 2 as published by the Free Software Foundation.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+
+EAPI="7"
+
+inherit systemd
+
+DESCRIPTION="Board-specific packages for Lakitu-arm64"
+HOMEPAGE="http://src.chromium.org"
+SRC_URI=""
+
+LICENSE="BSD-Google"
+SLOT="0"
+KEYWORDS="-* arm64 arm"
+
+RDEPEND="chromeos-base/chromeos-bsp-lakitu-common"
diff --git a/overlay-lakitu-arm64/metadata/layout.conf b/overlay-lakitu-arm64/metadata/layout.conf
new file mode 100644
index 0000000..798093e
--- /dev/null
+++ b/overlay-lakitu-arm64/metadata/layout.conf
@@ -0,0 +1,6 @@
+masters = portage-stable chromiumos eclass-overlay project-lakitu
+profile-formats = portage-2 profile-default-eapi
+profile_eapi_when_unspecified = 5-progress
+repo-name = lakitu-arm64
+thin-manifests = true
+use-manifests = strict
diff --git a/overlay-lakitu-arm64/presubmit_check.sh b/overlay-lakitu-arm64/presubmit_check.sh
new file mode 100755
index 0000000..753f6c5
--- /dev/null
+++ b/overlay-lakitu-arm64/presubmit_check.sh
@@ -0,0 +1,31 @@
+#!/bin/bash
+#
+# Copyright 2020 Google LLC
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# version 2 as published by the Free Software Foundation.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+
+readonly lakitu_files=$(echo "${PRESUBMIT_FILES}" | grep overlay-lakitu/)
+
+if [[ -z "${lakitu_files}" ]]; then
+  exit 0
+fi
+
+readonly commit_desc="$(git log --format=%s%n%n%b "${PRESUBMIT_COMMIT}^!")"
+
+# Checks for a non empty RELEASE_NOTE= filed.
+RELEASE_NOTE_RE='RELEASE_NOTE=[^[:blank:]]+'
+if [[ ! "${commit_desc}" =~ ${RELEASE_NOTE_RE} ]]; then
+  echo "Changelist description needs a RELEASE_NOTE= field (No space after =):"
+  echo "RELEASE_NOTE=New feature"
+  echo "RELEASE_NOTE=Bugfix"
+  echo "RELEASE_NOTE=None"
+  exit 1
+fi
diff --git a/overlay-lakitu-arm64/profiles/base/make.defaults b/overlay-lakitu-arm64/profiles/base/make.defaults
new file mode 100644
index 0000000..e69de29
--- /dev/null
+++ b/overlay-lakitu-arm64/profiles/base/make.defaults
diff --git a/overlay-lakitu-arm64/profiles/base/parent b/overlay-lakitu-arm64/profiles/base/parent
new file mode 100644
index 0000000..18f7fdc
--- /dev/null
+++ b/overlay-lakitu-arm64/profiles/base/parent
@@ -0,0 +1,2 @@
+project-lakitu:arch/arm64
+project-lakitu:base
diff --git a/overlay-lakitu-arm64/toolchain.conf b/overlay-lakitu-arm64/toolchain.conf
new file mode 100644
index 0000000..8de2411
--- /dev/null
+++ b/overlay-lakitu-arm64/toolchain.conf
@@ -0,0 +1 @@
+aarch64-cros-linux-gnu
diff --git a/overlay-lakitu-arm64/virtual/chromeos-bsp/chromeos-bsp-2-r1.ebuild b/overlay-lakitu-arm64/virtual/chromeos-bsp/chromeos-bsp-2-r1.ebuild
new file mode 120000
index 0000000..7eee884
--- /dev/null
+++ b/overlay-lakitu-arm64/virtual/chromeos-bsp/chromeos-bsp-2-r1.ebuild
@@ -0,0 +1 @@
+chromeos-bsp-2.ebuild
\ No newline at end of file
diff --git a/overlay-lakitu-arm64/virtual/chromeos-bsp/chromeos-bsp-2.ebuild b/overlay-lakitu-arm64/virtual/chromeos-bsp/chromeos-bsp-2.ebuild
new file mode 100644
index 0000000..e42d588
--- /dev/null
+++ b/overlay-lakitu-arm64/virtual/chromeos-bsp/chromeos-bsp-2.ebuild
@@ -0,0 +1,23 @@
+#
+# Copyright 2020 Google LLC
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# version 2 as published by the Free Software Foundation.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+
+EAPI="7"
+
+DESCRIPTION="Chrome OS BSP virtual package"
+HOMEPAGE="http://src.chromium.org"
+
+LICENSE="BSD-Google"
+SLOT="0"
+KEYWORDS="*"
+
+RDEPEND="chromeos-base/chromeos-bsp-lakitu"
diff --git a/project-lakitu/chromeos-base/chromeos-bsp-lakitu-common/chromeos-bsp-lakitu-common-0.0.1.ebuild b/project-lakitu/chromeos-base/chromeos-bsp-lakitu-common/chromeos-bsp-lakitu-common-0.0.1.ebuild
index 93486b5..c8efa0b 100644
--- a/project-lakitu/chromeos-base/chromeos-bsp-lakitu-common/chromeos-bsp-lakitu-common-0.0.1.ebuild
+++ b/project-lakitu/chromeos-base/chromeos-bsp-lakitu-common/chromeos-bsp-lakitu-common-0.0.1.ebuild
@@ -11,7 +11,7 @@
 
 LICENSE="BSD-Google"
 SLOT="0"
-KEYWORDS="-* amd64"
+KEYWORDS="-* amd64 arm64 arm"
 IUSE="crash_reporting platform_gcp"
 
 RDEPEND="